Skip to main content
GET
Get person membership details

인증

Authorization
string
header
필수

Short-lived bearer access token issued for a Living Security API access key. Send as Authorization: Bearer .

헤더

x-organization-id
string<uuid>
필수

Organization context for multi-tenant operations

경로 매개변수

personId
string
필수

응답

Membership details found successfully

id
string
필수

Unique membership identifier

예시:

"550e8400-e29b-41d4-a716-446655440000"

personId
string
필수

Person ID associated with this membership

예시:

"user-550e8400-e29b-41d4-a716-446655440000"

organizationId
string
필수

Organization ID for this membership

예시:

"550e8400-e29b-41d4-a716-446655440000"

active
boolean
필수

Whether the membership is currently active

예시:

true

profile
object
필수

Person profile data (name, email, etc.)

createdAt
string<date-time>
필수

Membership creation timestamp

예시:

"2025-10-01T00:00:00.000Z"

updatedAt
string<date-time>
필수

Membership last update timestamp

예시:

"2025-10-01T12:00:00.000Z"

importSource
enum<string> | null

How the user was provisioned (SCIM, CSV, or MANUAL)

사용 가능한 옵션:
SCIM,
CSV,
MANUAL
예시:

"SCIM"

accessGrantType
enum<string> | null

How access was granted (DIRECT, PARENT_ORG, or PLATFORM)

사용 가능한 옵션:
DIRECT,
PARENT_ORG,
PLATFORM
예시:

"DIRECT"

stickyAttributes
object

Sticky attributes (overrides, local attributes, sync status)

role
string | null

Primary role identifier. Can be a system role type (OWNER, ADMIN, MEMBER), catalog role ID, or custom role ID based on precedence (system > catalog > custom)

예시:

"OWNER"

roleDisplayName
string | null

Human-friendly role display name

예시:

"Owner"

roleIds
string[] | null

Array of ALL role identifiers assigned to this member. Includes system role types (OWNER, ADMIN, etc.), catalog role IDs, and custom role IDs.

예시: